Aex Brain
HTTP APIAPI

Send input

Queues a user.message (with text and an optional idempotency key) or requests an interruption with user.interrupt. Returns 202 Accepted once the input is recorded locally.

POST/sessions/{id}/events
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Opaque session ID.

Match^[a-fA-F0-9]{32}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/sessions/string/events" \  -H "Authorization: Bearer YOUR_TOKEN" \  -H "Content-Type: application/json" \  -d '{    "type": "string"  }'
{  "cursor": "string",  "data": null,  "id": "string",  "input_id": "string",  "time": "2019-08-24T14:15:22Z",  "type": "string"}